Bug 1287120 - Review Request: python-ryu - component-based Software-defined Networking Framework
Review Request: python-ryu - component-based Software-defined Networking Fram...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: RDO-LIBERTY-REVIEWS 1286817
  Show dependency treegraph
 
Reported: 2015-12-01 09:37 EST by Arie Bregman
Modified: 2016-01-19 18:29 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-19 18:29:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
karlthered: fedora‑review+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1286817 None None None Never

  None (edit)
Description Arie Bregman 2015-12-01 09:37:50 EST
Spec URL: https://bitbucket.org/abregman/bregman-rpms/downloads/python-ryu.spec
SRPM URL: https://bitbucket.org/abregman/bregman-rpms/downloads/python-ryu-3.26-1.el7.src.rpm

Description: Ryu provides software components with well defined API that make it easy for developers to create new network management and control applications.
It is also used by neutron when choosing native ovs since Liberty release.

Fedora Account System Username:abregman
Comment 3 Upstream Release Monitoring 2015-12-01 14:55:39 EST
hguemar's scratch build of python-ryu-3.26-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12024367
Comment 4 Haïkel Guémar 2015-12-01 15:04:08 EST
Few comments:
* typo in the download url
https://pypi.python.org/packages/source/r/ryu/ryu-3.26.tar.gz
* I'd remove *requirements files to prevent pbr downloading stuff
https://github.com/openstack-packages/keystone/blob/rpm-master/openstack-keystone.spec#L135
* removing %{pypi_name}.egg-info in %prep
* build in Koji fails due to pbr trying to access network, note that koji/cbs/brew uses local repositories and have no network access.
(see, my scratch build above)
* quick grep shows missing requirement to six.

But it's in good shape, no licensing issues
Comment 6 Robert Buchholz 2015-12-05 19:52:09 EST
- Url: has double http:// in front. It should point to the https variant too. [1]

- You are not building for python3 (with_python3 is not defined)

- The package must provide python2-ryu, and this must be a subpackage if you are building for python3 as well.

- Several dependencies are downloaded during testing. Since they are required, they should also be listed as BuildRequires.

- Description "This is Python 3 version." could probably us an article.

- In %prep, why are you removing requirements files?

- In %build, you could simply use %py2_build / %py3_build

- Is there a reason you're not using %py2_install / %py2_install ? They introduce an -O1 that you are missing, is that relevant?

- I think AUTHORS and ChangeLog should be %doc

- There are no files directives for python3

- There is no man-page

- Tests are currently failing for me:
Traceback (most recent call last):
  File "/builddir/build/BUILD/ryu-3.26/.eggs/pbr-1.8.1-py2.7.egg/pbr/core.py", line 109, in pbr
    attrs = util.cfg_to_args(path)
  File "/builddir/build/BUILD/ryu-3.26/.eggs/pbr-1.8.1-py2.7.egg/pbr/util.py", line 245, in cfg_to_args
    kwargs = setup_cfg_to_setup_kwargs(config)
  File "/builddir/build/BUILD/ryu-3.26/.eggs/pbr-1.8.1-py2.7.egg/pbr/util.py", line 379, in setup_cfg_to_setup_kwargs
    cmd = cls(dist)
  File "/usr/lib/python2.7/site-packages/setuptools/__init__.py", line 131, in __init__
    _Command.__init__(self, dist)
  File "/usr/lib64/python2.7/distutils/cmd.py", line 59, in __init__
    raise TypeError, "dist must be a Distribution instance"
TypeError: dist must be a Distribution instance


[1] Hopefully they merge https://github.com/osrg/ryu/pull/44
Comment 7 Arie Bregman 2015-12-06 02:56:27 EST
Updated:

Spec URL: https://bitbucket.org/abregman/bregman-rpms/downloads/python-ryu.spec
SRPM URL: https://bitbucket.org/abregman/bregman-rpms/downloads/python-ryu-3.26-1.el7.src.rpm

@Robert:

- In %prep, why are you removing requirements files?
According to Haikel review: "I'd remove *requirements files to prevent pbr downloading stuff" 

- There is no man-page
not sure I'm following. what should I do about it?

- Is there a reason you're not using %py2_install / %py2_install ? 
it's not working for me. seems like it can't find such macro.

- In %build, you could simply use %py2_build / %py3_build
same here

- Description "This is Python 3 version." could probably us an article.
what do you mean?
Comment 8 Robert Buchholz 2015-12-06 05:56:57 EST
(In reply to Arie Bregman from comment #7)
> - In %prep, why are you removing requirements files?
> According to Haikel review: "I'd remove *requirements files to prevent pbr
> downloading stuff" 

Is this file generated? I don't see it in the sources and it's not created during setup.py build.

> - There is no man-page
> not sure I'm following. what should I do about it?

From what I understand, ryu creates an executable in /usr/bin. That means it should come with a man page. The Makefile in the doc directory allows creating man pages using sphinx (this needs additional BuildRequires): make man


> - Is there a reason you're not using %py2_install / %py2_install ? 
> it's not working for me. seems like it can't find such macro.

Which distribution are you building on? Have you tried building in mock? It works for me in centos-7 and rawhide.

> - Description "This is Python 3 version." could probably us an article.
> what do you mean?

I meant that it should probably say "This is the Python 3 version."

The addition of Python 3 doesn't work unfortunately, as upstream is actually not Python 3 compatible (SyntaxErrors). It seems conversion is still an ongoing work there, do you know more?
So this should just build the python2- package only for now.
Comment 9 Arie Bregman 2015-12-06 09:17:35 EST
(In reply to Robert Buchholz from comment #8)
> (In reply to Arie Bregman from comment #7)
> > - In %prep, why are you removing requirements files?
> > According to Haikel review: "I'd remove *requirements files to prevent pbr
> > downloading stuff" 
> 
> Is this file generated? I don't see it in the sources and it's not created
> during setup.py build.
> 
the name is different. it's requires.txt, I'll change it in the spec.
> > - There is no man-page
> > not sure I'm following. what should I do about it?
> 
> From what I understand, ryu creates an executable in /usr/bin. That means it
> should come with a man page. The Makefile in the doc directory allows
> creating man pages using sphinx (this needs additional BuildRequires): make
> man
ack.
> 
> 
> > - Is there a reason you're not using %py2_install / %py2_install ? 
> > it's not working for me. seems like it can't find such macro.
> 
> Which distribution are you building on? Have you tried building in mock? It
> works for me in centos-7 and rawhide.
yes. I'm using rhel 7.1
> 
> > - Description "This is Python 3 version." could probably us an article.
> > what do you mean?
> 
> I meant that it should probably say "This is the Python 3 version."
> 
ack.
> The addition of Python 3 doesn't work unfortunately, as upstream is actually
> not Python 3 compatible (SyntaxErrors). It seems conversion is still an
> ongoing work there, do you know more?
> So this should just build the python2- package only for now.
So remove anything related to python 3?
Comment 10 Arie Bregman 2015-12-07 16:52:07 EST
Updated:

Spec URL: https://bitbucket.org/abregman/bregman-rpms/downloads/python-ryu.spec
SRPM URL: https://bitbucket.org/abregman/bregman-rpms/downloads/python-ryu-3.26-1.el7.src.rpm

The only thing I didn't insert is "make man" as I'm getting "No such target".
Comment 11 Alan Pevec 2015-12-07 17:24:52 EST
> So remove anything related to python 3?

Yeah, although upstream does declare python3 support:
https://github.com/osrg/ryu/commit/607eeb0c7e33f9ac22877a33bf7c7acecca2dbee
so report the issues upstream.

> The only thing I didn't insert is "make man" as I'm getting "No such target".
You need to be in doc subfolder:
cd doc
make man
or make -C doc man
Comment 13 Haïkel Guémar 2015-12-10 03:36:33 EST
It fails to build due to missing BR: python-sphinx
This line is not useful: rm -f requires.txt
Comment 15 Haïkel Guémar 2015-12-17 20:47:18 EST
Build fails in chrooted environments due to missing BuildRequires

% grep "Best match" 1287120-python-ryu/results/build.log
Best match: WebOb 1.5.1
Best match: Routes 2.2
Best match: eventlet 0.17.4
Best match: repoze.lru 0.6
Best match: greenlet 0.4.9
Best match: paramiko 1.16.0
Best match: lxml 3.5.0

These are python eggs that the package tries to download from pypi during %check, please add them as BuildRequires.
Comment 18 Haïkel Guémar 2015-12-21 10:51:44 EST
There's a missing BR on python-oslo-config, please fix this before import time (review has been done w/ latest spec + this single change)

I hereby approve this package into Fedora Packages Collection


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Apache (v2.0) MIT/X11 (BSD like)", "Unknown
     or generated". 951 files have unknown license. Detailed output of
     licensecheck in /home/haikel/1287120-python-ryu/srpm-unpacked/review-
     python-ryu/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /etc/ryu
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/ryu
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 133120 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-ryu-3.26-1.fc24.noarch.rpm
          python-ryu-3.26-1.fc24.src.rpm
python-ryu.noarch: E: description-line-too-long C Ryu provides software components with well defined API that make it easy for developers to create new
python-ryu.noarch: W: invalid-license Apache-2.0
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/tests/run_tests.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/server/__init__.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/transports/__init__.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/transports/wsgi.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/server/gevent.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/tests/integrated/run_tests_with_ovs12.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/transports/http.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/client.py 644 /usr/bin/env
python-ryu.noarch: W: non-conffile-in-etc /etc/ryu/ryu.conf
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/cmd/rpc_cli.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/__init__.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/lib/rpc.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/lib/stringify.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/cmd/ofa_neutron_agent.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/tests/switch/run_mininet.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/cmd/of_config_cli.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/dispatch/__init__.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/transports/tcp.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/protocols/__init__.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/exc.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/protocols/jsonrpc.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/transports/zmq.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/transports/INTEGRATE_ME.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/cmd/manager.py 644 /usr/bin/env
python-ryu.noarch: W: no-manual-page-for-binary ryu-manager
python-ryu.noarch: W: no-manual-page-for-binary ryu
python-ryu.src: E: description-line-too-long C Ryu provides software components with well defined API that make it easy for developers to create new
python-ryu.src: W: invalid-license Apache-2.0
2 packages and 0 specfiles checked; 25 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
python-ryu.noarch: E: description-line-too-long C Ryu provides software components with well defined API that make it easy for developers to create new
python-ryu.noarch: W: invalid-license Apache-2.0
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/cmd/rpc_cli.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/transports/tcp.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/transports/INTEGRATE_ME.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/cmd/ofa_neutron_agent.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/protocols/jsonrpc.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/transports/http.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/exc.py 644 /usr/bin/env
python-ryu.noarch: W: non-conffile-in-etc /etc/ryu/ryu.conf
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/lib/stringify.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/tests/run_tests.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/transports/__init__.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/tests/integrated/run_tests_with_ovs12.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/transports/wsgi.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/tests/switch/run_mininet.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/server/gevent.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/cmd/manager.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/cmd/of_config_cli.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/protocols/__init__.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/transports/zmq.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/client.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/lib/rpc.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/server/__init__.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/__init__.py 644 /usr/bin/env
python-ryu.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ryu/contrib/tinyrpc/dispatch/__init__.py 644 /usr/bin/env
python-ryu.noarch: W: no-manual-page-for-binary ryu-manager
python-ryu.noarch: W: no-manual-page-for-binary ryu
1 packages and 0 specfiles checked; 24 errors, 4 warnings.



Requires
--------
python-ryu (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)



Provides
--------
python-ryu:
    python-ryu



Source checksums
----------------
https://pypi.python.org/packages/source/r/ryu/ryu-3.26.tar.gz :
  CHECKSUM(SHA256) this package     : 06c669a31ee44b0cf6f09f00f1281009e6562249d5d1bd6aea7b5b7c228e19ba
  CHECKSUM(SHA256) upstream package : 06c669a31ee44b0cf6f09f00f1281009e6562249d5d1bd6aea7b5b7c228e19ba


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -n /home/haikel/1287120-python-ryu/srpm-unpacked/ -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 19 Gwyn Ciesla 2015-12-21 15:18:59 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-ryu
Comment 20 Fedora Update System 2016-01-05 07:39:49 EST
python-ryu-3.26-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a6096bea6e
Comment 21 Fedora Update System 2016-01-05 19:29:01 EST
python-ryu-3.26-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a6096bea6e
Comment 22 Fedora Update System 2016-01-19 18:29:35 EST
python-ryu-3.26-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.